Theme
Wan task query
After submitting a Wanxiang 3.0 task, poll status and results by task ID via the query endpoint.
http
GET /v1/videos/{task_id}Poll every 10–15 seconds. Do not create new tasks just to check progress. When complete, read the video URL from .
Headers
| Name | Type | Required | Description |
|---|---|---|---|
| string | Yes | Request authentication. Use a Bearer Token, for example: |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
| string | Yes | Path parameter. Same as id or task_id returned by the generation endpoint |
Request example
bash
curl https://octopusx.ai/v1/videos/task_1234567890abcdef \
-H "Authorization: Bearer <token>"Status values
| Status | Description |
|---|---|
| Task is queued | |
| Task is generating | |
| Task completed successfully | |
| Task failed, was cancelled, or upstream task does not exist | |
| Current status cannot be recognized |
Response example
json
{
"id": "task_1234567890abcdef",
"object": "video",
"model": "wan3.0-video-prime",
"status": "queued",
"progress": 0,
"created_at": 1787673600,
"completed_at": 1787673601,
"metadata": {
"url": ""
}
}json
{
"id": "task_1234567890abcdef",
"object": "video",
"model": "wan3.0-video-prime",
"status": "in_progress",
"progress": 50,
"created_at": 1787673600,
"completed_at": 1787673610,
"metadata": {
"url": ""
}
}json
{
"id": "task_1234567890abcdef",
"object": "video",
"model": "wan3.0-video-prime",
"status": "completed",
"progress": 100,
"created_at": 1787673600,
"completed_at": 1787673610,
"metadata": {
"url": "https://example.com/output.mp4"
}
}Response fields
| Name | Type | Description |
|---|---|---|
| string | Task ID | |
| string | Always | |
| string | See status values above | |
| integer | Progress percentage | |
| integer | Creation timestamp | |
| integer | Status update timestamp | |
| string | Result video URL when complete |